# List all revenue items of a revenue schedule This REST API reference describes how to get the details for each revenue items in a revenue schedule by specifying the revenue schedule number. Request and response field descriptions and sample code are provided. Endpoint: GET /v1/revenue-items/revenue-schedules/{rs-number} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `rs-number` (string, required) Revenue schedule number. The revenue schedule number is always prefixed with "RS", for example, "RS-00000001". ## Response 200 fields (application/json): - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `revenueItems` (array) Revenue items are listed in ascending order by the accounting period start date. - `revenueItems.accountingPeriodEndDate` (string) The accounting period end date. The accounting period end date of the open-ended accounting period is null. - `revenueItems.accountingPeriodName` (string) The name of the accounting period. The open-ended accounting period is named Open-Ended. - `revenueItems.accountingPeriodStartDate` (string) The accounting period start date. - `revenueItems.amount` (string) The amount of the revenue item. - `revenueItems.currency` (string) The type of currency used. - `revenueItems.deferredRevenueAccountingCode` (string) The accounting code for deferred revenue, such as Monthly Recurring Liability. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `revenueItems.deferredRevenueAccountingCodeType` (string) The type of the deferred revenue accounting code, such as Deferred Revenue. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `revenueItems.isAccountingPeriodClosed` (boolean) Indicates if the accounting period is closed or open. - `revenueItems.recognizedRevenueAccountingCode` (string) The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges. Required only when overrideChargeAccountingCodes is true. Otherwise, the value is ignored. - `revenueItems.recognizedRevenueAccountingCodeType` (string) The type of the recognized revenue accounting code, such as Sales Revenue or Sales Discount. Required only when overrideChargeAccountingCodes is true. Otherwise, this value is ignored. - `success` (boolean) Returns true if the request was processed successfully.